<?php

namespace App\Filament\Resources\Progressions\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class ProgressionForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('numero_lecon')
                    ->required(),
                TextInput::make('chapitre')
                    ->required(),
                TextInput::make('titre_lecon')
                    ->required(),
                TextInput::make('numero_semaine')
                    ->required(),
                TextInput::make('discipline_id')
                    ->required()
                    ->numeric(),
            ]);
    }
}
